[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomListView.Canvas

TCanvas instance used to draw the control.

## Declaration

Source position: comctrls.pp line 1662

`public property TCustomListView.Canvas : TCanvas read FCanvas;`

## Description

Canvas is a read-only TCanvas property with the canvas used to perform drawing operations for the control. At run-time, a TControlCanvas instance is created and assigned to the property.

Canvas is used in the DrawItem method, and when the CN_DRAWITEM control notification message is handled for the control. It is also used to get text metrics when the editor for the control is displayed.

## See also

TCustomListView.Create |  | Constructor for the class instance.
TCustomListView.DrawItem |  | Draws the specified list item with a given state.
TControlCanvas |  | Base class which provides a canvas property used in graphic controls.